﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace RadioButtonContol
{
    public partial class RadioButtonUserContol : UserControl, INotifyPropertyChanged
    {
        public RadioButtonUserContol()
        {
            InitializeComponent();
        }

        public bool Value
        {
            get { return radioYes.Checked; }
            set 
            {
                radioYes.Checked = value;
                radioNo.Checked = !value;
                NotifyPropertyChanged("Value");
            }
        }

        #region INotifyPropertyChanged Members

        public event PropertyChangedEventHandler PropertyChanged;
        private void NotifyPropertyChanged(String info)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(info));
            }
        }

        #endregion

        private void radioYes_CheckedChanged(object sender, EventArgs e)
        {
            Value = radioYes.Checked;
        }
    }
}
